> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a question to a thread

> Associates a question with a thread at the specified position.

## Add a question to a thread

Associates a question with a thread at the specified position.

### Path Parameters

<ParamField path name="thread_id" type="integer" required>
  No description provided
</ParamField>

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "question_id": 123,
    "position": 123
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "thread_id": 123,
    "question_id": 123,
    "position": 123,
    "created_at": "string"
  }
  ```
</ResponseExample>
